Skip to content

Updates a installment schedule with the specified ID.

Request

This method will update an existing installment schedule with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the installment schedule to update.

Bodyapplication/jsonrequired

The updated installment schedule that will be saved.

amount_billednumber, (float)(Amount Billed)required

Amount of pledge fulfilled

amount_outstandingnumber, (float)(Amount Outstanding)required

The amount of outstanding on the pledge

billing_addressobject(Address)

A complete address

business_unit_idstring(Business Unit)required

The business unit

contact_idstring(Contact)required
currency_codestring(Currency Code)required

The currency this schedule should be billing

Enum:"AED""AFN""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZN"
date_cancelledstring, (date-time)(Date Cancelled)required

The date the schedule was cancelled

date_last_processedstring, (date-time)(Date Last Processed)required

The last time this schedule was processed

date_of_last_reminderstring, (date-time)(Date Of Last Reminder)

The date that the last reminder was sent for this schedule having a declined payment

electronic_payment_infoobject(Electronic Payment Info)
entriesArray of objects, non-emptyrequired
error_messagestring(Error Message)

The last error message experienced by this schedule

idstring(ID)^[\w|-]+$required

The unique, string identifier of this installment schedule

invoice_terms_idstring(Invoice Terms)

The invoice terms

merchant_account_idstring(Merchant Account)

The merchant account being used

next_processing_datestring(Next Processing Date)

The date of next processing for this schedule

notesstring(Notes)

Any relevant notes

numbernumber, (float)(Number)

Number of the plan, which should match order #

order_process_idstring(Order Process)

The process ID of the order

order_typestring(Order Type)required

Order type

organization_idstring(Organization)required
owner_typestring(Owner Type)required
Enum:"contact""organization"
pay_for_credit_card_processing_feesboolean(Pay For Credit Card Processing Fees)

Whether or not we are billing for processing fees

remaining_number_of_installmentsnumber, (float)(Remaining Number Of Installments)required

The number of payments remaining on the pledge

statusstring(Status)required

The status of the schedule

Enum:"active""cancelled""completed""error""payment declined""suspended"
store_idstring(Store)

Store ID, if an online store

suspended_untilstring(Suspended Until)

If the schedule is suspended, the date until which it is suspended

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

use_pro_forma_invoicesboolean(Use Pro Forma Invoices)

Whether pro forma invoices should be generated

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/installmentSchedules/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "amount_billed": 0.1,
    "amount_outstanding": 0.1,
    "billing_address": {
      "city": "string",
      "country": "string",
      "country_name": "string",
      "county": "string",
      "latitude": 0.1,
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "longitude": 0.1,
      "postal_code": "string",
      "state": "string",
      "time_zone_id": "string"
    },
    "business_unit_id": "string",
    "contact_id": "string",
    "currency_code": "AED",
    "date_cancelled": "2019-08-24T14:15:22Z",
    "date_last_processed": "2019-08-24T14:15:22Z",
    "date_of_last_reminder": "2019-08-24T14:15:22Z",
    "electronic_payment_info": {
      "card_expiration": "string",
      "card_type": "american express",
      "merchant_account_tokens": [
        {
          "merchant_account_id": "string",
          "token": "string"
        }
      ],
      "payment_account": "string",
      "payment_origin": "ad hoc",
      "token": "string",
      "type": "credit card"
    },
    "entries": [
      {
        "amount": 0.1,
        "billing_run_action_id": "string",
        "billing_run_id": "string",
        "date": "2019-08-24",
        "entry_id": "string",
        "installment_plan_id": "string",
        "invoice_id": "string",
        "line_item_description": "string",
        "order_id": "string",
        "order_line_item_id": "string",
        "payment_id": "string",
        "perpetual_options": {
          "end_date": "string",
          "number_of_units": 1,
          "unit_of_time": "months"
        },
        "product_id": "string",
        "product_name": "string",
        "product_type": "string",
        "status": "open",
        "transient_transaction_id": "string",
        "transient_transaction_type": "order",
        "type": "based on installment plan"
      }
    ],
    "error_message": "string",
    "id": "string",
    "invoice_terms_id": "string",
    "merchant_account_id": "string",
    "next_processing_date": "string",
    "notes": "string",
    "number": 0.1,
    "order_process_id": "string",
    "order_type": "string",
    "organization_id": "string",
    "owner_type": "contact",
    "pay_for_credit_card_processing_fees": true,
    "remaining_number_of_installments": 0.1,
    "status": "active",
    "store_id": "string",
    "suspended_until": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "use_pro_forma_invoices": true
  }'

Responses

The installment schedule was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
amount_billednumber, (float)(Amount Billed)required

Amount of pledge fulfilled

amount_outstandingnumber, (float)(Amount Outstanding)required

The amount of outstanding on the pledge

billing_addressobject(Address)

A complete address

business_unit_idstring(Business Unit)required

The business unit

contact_idstring(Contact)required
currency_codestring(Currency Code)required

The currency this schedule should be billing

Enum:"AED""AFN""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZN"
date_cancelledstring, (date-time)(Date Cancelled)required

The date the schedule was cancelled

date_last_processedstring, (date-time)(Date Last Processed)required

The last time this schedule was processed

date_of_last_reminderstring, (date-time)(Date Of Last Reminder)

The date that the last reminder was sent for this schedule having a declined payment

electronic_payment_infoobject(Electronic Payment Info)
entriesArray of objects, non-emptyrequired
error_messagestring(Error Message)

The last error message experienced by this schedule

idstring(ID)^[\w|-]+$required

The unique, string identifier of this installment schedule

invoice_terms_idstring(Invoice Terms)

The invoice terms

merchant_account_idstring(Merchant Account)

The merchant account being used

next_processing_datestring(Next Processing Date)

The date of next processing for this schedule

notesstring(Notes)

Any relevant notes

numbernumber, (float)(Number)

Number of the plan, which should match order #

order_process_idstring(Order Process)

The process ID of the order

order_typestring(Order Type)required

Order type

organization_idstring(Organization)required
owner_typestring(Owner Type)required
Enum:"contact""organization"
pay_for_credit_card_processing_feesboolean(Pay For Credit Card Processing Fees)

Whether or not we are billing for processing fees

remaining_number_of_installmentsnumber, (float)(Remaining Number Of Installments)required

The number of payments remaining on the pledge

statusstring(Status)required

The status of the schedule

Enum:"active""cancelled""completed""error""payment declined""suspended"
store_idstring(Store)

Store ID, if an online store

suspended_untilstring(Suspended Until)

If the schedule is suspended, the date until which it is suspended

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

use_pro_forma_invoicesboolean(Use Pro Forma Invoices)

Whether pro forma invoices should be generated

Response
{ "amount_billed": 0.1, "amount_outstanding": 0.1, "billing_address": { "city": "string", "country": "string", "country_name": "string", "county": "string", "latitude": 0.1, "line1": "string", "line2": "string", "line3": "string", "longitude": 0.1, "postal_code": "string", "state": "string", "time_zone_id": "string" }, "business_unit_id": "string", "contact_id": "string", "currency_code": "AED", "date_cancelled": "2019-08-24T14:15:22Z", "date_last_processed": "2019-08-24T14:15:22Z", "date_of_last_reminder": "2019-08-24T14:15:22Z", "electronic_payment_info": { "card_expiration": "string", "card_type": "american express", "merchant_account_tokens": [ … ], "payment_account": "string", "payment_origin": "ad hoc", "token": "string", "type": "credit card" }, "entries": [ { … } ], "error_message": "string", "id": "string", "invoice_terms_id": "string", "merchant_account_id": "string", "next_processing_date": "string", "notes": "string", "number": 0.1, "order_process_id": "string", "order_type": "string", "organization_id": "string", "owner_type": "contact", "pay_for_credit_card_processing_fees": true, "remaining_number_of_installments": 0.1, "status": "active", "store_id": "string", "suspended_until": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "use_pro_forma_invoices": true }